<?php
session_start();
// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $ket  		= mysqli_real_escape_string($mysqli, trim($_POST['ket']));
            $sj			= mysqli_real_escape_string($mysqli, trim($_POST['sj']));
			$inv		= mysqli_real_escape_string($mysqli, trim($_POST['inv']));
			$supplier	= mysqli_real_escape_string($mysqli, trim($_POST['supplier']));
			$disc1 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['disc1'])));
			$disc2 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['disc2'])));
			
            $tanggal         = mysqli_real_escape_string($mysqli, trim($_POST['tanggal_masuk']));
            $exp             = explode('-',$tanggal);
            $tanggal_masuk   = $exp[2]."-".$exp[1]."-".$exp[0];

            $created_user 	= $_SESSION['id_user'];
			$user 			= $_SESSION['username'];
			$gudang 		= $_SESSION['gudang'];

            // perintah query untuk menyimpan data ke tabel obat
            $query = mysqli_query($mysqli, "INSERT INTO jual(billdate,supplier,sj,inv,d1,d2,keterangan,kasir,created_user,updated_user,gudang) 
                                            VALUES('$tanggal_masuk','$supplier','$sj','$inv','$disc1','$disc2','$ket','$user','$created_user','$created_user','$gudang')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    
			$id_orders = mysqli_insert_id($mysqli);
			
			
            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
				$isikeranjang = array();
				
				$query2 = mysqli_query($mysqli, "SELECT * FROM tmpjual where kasir = '$user'")
                                            or die('Ada kesalahan pada query tampil : '.mysqli_error($mysqli));

				while ($data2 = mysqli_fetch_assoc($query2)) { 
					$isikeranjang[] = $data2;
				}
				
				
					date_default_timezone_set("Asia/Jakarta");
					$tgl_skrg = date("Y-m-d");
					$jam_skrg = date("H:i:s");
					
					$tgl_sekarang = date("Y-m-d", strtotime(' +0 hours'));
					$jam_sekarang = date("H:i:s", strtotime(' +0 hours'));
					
					
					$jml = count($isikeranjang);	
					for ($i = 0; $i < $jml; $i++) {

									   
						$query5 = mysqli_query($mysqli, "INSERT INTO jualdetail(billno, code, qty, harga,disc,discharga,kasir) 
									   VALUES('$id_orders',{$isikeranjang[$i]['produk']}, {$isikeranjang[$i]['qty']},{$isikeranjang[$i]['harga']},{$isikeranjang[$i]['disc']},{$isikeranjang[$i]['discharga']}, '$user')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
											
					}
					
					for ($i = 0; $i < $jml; $i++) {

						$query6 = mysqli_query($mysqli, "DELETE FROM tmpjual WHERE id = {$isikeranjang[$i]['id']}")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));  
						
					}
				
				
				
				
               header("location: ../../main.php?module=penjualan&alert=1");
            }   
        }   
    }
    
    elseif ($_GET['act']=='update') {
        if (isset($_POST['simpan'])) {
                // ambil data hasil submit dari form
				$id  		= mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $nama  		= mysqli_real_escape_string($mysqli, trim($_POST['nama']));
				$hp			= mysqli_real_escape_string($mysqli, trim($_POST['hp']));
				$alamat		= mysqli_real_escape_string($mysqli, trim($_POST['alamat']));
				$npwp	    = mysqli_real_escape_string($mysqli, trim($_POST['npwp']));

                $updated_user = $_SESSION['id_user'];

                // perintah query untuk mengubah data pada tabel obat
                $query = mysqli_query($mysqli, "UPDATE customer SET  nama   = '$nama',
                                                                    telp   	= '$hp',
                                                                    alamat  = '$alamat',
																	npwp		= '$npwp'
                                                              WHERE id      = '$id'")
                                                or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));

                // cek query
                if ($query) {
                    // jika berhasil tampilkan pesan berhasil update data
                    header("location: ../../main.php?module=customer&alert=2");
                }         
            
        }
    }
	elseif ($_GET['act']=='view') {
       
            $awal = $_POST['tgl_awal'];
			$akhir = $_POST['tgl_akhir'];
    
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=penjualan&awal=$awal&akhir=$akhir");
        
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Update jual set status = 'N' WHERE billno='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=penjualan&alert=3");
            }
        }
    }

	elseif ($_GET['act']=='kirim') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            $tgl_sekarang = date("Y-m-d H:i:s", strtotime(' +0 hours'));
            $query = mysqli_query($mysqli, "Update jual set kirim = '1', siap_date='$tgl_sekarang'  WHERE billno='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=penjualan&alert=5");
            }
        }
    } 	
	elseif ($_GET['act']=='additem') {
			$user 		= $_SESSION['username'];
			$harga 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['harga'])));
			$qty 		= mysqli_real_escape_string($mysqli, trim($_POST['qty']));
			$disc 		= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['disc'])));
			$discharga 	= str_replace('.', '', mysqli_real_escape_string($mysqli, trim($_POST['discharga'])));
			$nama  		= mysqli_real_escape_string($mysqli, trim($_POST['produkz']));
            $query = mysqli_query($mysqli, "INSERT into tmpjual(produk,qty,harga,disc,discharga,kasir) values('$nama ','$qty','$harga','$disc','$discharga','$user')")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            if ($query) {
                header("location: ../../main.php?module=form_penjualan&form=add");
            }
	}
	elseif ($_GET['act']=='deleteitem') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Delete from tmpjual WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=form_penjualan&form=add");
            }
        }
    }
	
	elseif ($_GET['act']=='deleteitemview') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
			$billno = $_GET['billno'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "Delete from jualdetail WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=form_penjualan&form=edit&id=".$billno);
            }
        }
    }
		
}       
?>